
Foreman - Feature #8319

ec2 compute sould be able to use existing ssh keys

11/07/2014 10:01 AM - cristian falcas

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, when creating a new compute resource of type EC2 foreman wants to create a new ssh key.

It would be wonderful if we could select one of the existing keys.

Related issues:

Related to Foreman - Feature #17015: Add ability to get private keys or use e... Closed 10/19/2016

Has duplicate Foreman - Feature #8420: How to use my own keypair instead of f... Duplicate 11/17/2014

History

#1 - 11/10/2014 04:11 AM - Dominic Cleal

- Category set to Compute resources - EC2

#2 - 11/17/2014 06:26 AM - Dominic Cleal

- Has duplicate Feature #8420: How to use my own keypair instead of foreman's created ? added

#3 - 11/18/2014 11:25 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#4 - 05/20/2016 06:51 AM - Paul  Smyth

I currently handle this using finish scripts but it would be useful to select a master key from the existing Amazon keypairs

#5 - 08/17/2016 07:31 AM - Shlomi Zadok

- Assignee deleted (Shlomi Zadok)

#6 - 10/19/2016 09:43 AM - Ondřej Pražák

- Related to Feature #17015: Add ability to get private keys or use existing key pairs when provisioning on EC2 added
